Get owners
curl --request GET \
--url https://api.opal.dev/v1/owners \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/owners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
"previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
"results": [
{
"owner_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"name": "API Owner",
"description": "This owner represents the API team owners.",
"access_request_escalation_period": 120
},
{
"owner_id": "e8581682-04f7-473a-a419-472f0fb26d46",
"name": "Finance Owner",
"description": "This owner represents the Finance team owners.",
"access_request_escalation_period": 120
}
]
}Returns a list of Owner objects.
GET
/
owners
Get owners
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The pagination cursor value.
Number of results to return per page. Default is 200.
Required range:
x <= 1000Owner name to filter by.
Response
200 - application/json
One page worth of owners in your organization.
Show child attributes
Show child attributes
The cursor with which to continue pagination if additional result pages exist.
Example:
"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
The cursor used to obtain the current result page.
Example:
"cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ"
Last modified on September 16, 2026
Was this page helpful?